FruxonDocs
ApiKnowledge bases

Updates a knowledge base's name, description, or locale.

Updates authoring metadata only. This does not republish content or change the backing asset snapshot.

PATCH
/v1/tenants/{tenant}/knowledgeBases/{knowledgeBase}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

knowledgeBase*string

The knowledge base id.

Formatuuid
tenant*string

The tenant identifier

New metadata values. Null properties are left unchanged.

displayName?string|null
description?string|null
locale?string|null
[key: string]?never

Response Body

curl -X PATCH "https://api.fruxon.com/v1/tenants/string/knowledgeBases/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "displayName": "string",
  "description": "string",
  "locale": "string",
  "backingAssetId": "string",
  "status": "ACTIVE",
  "lastPublishedAt": 0,
  "publishState": "NONE",
  "lastPublishError": "string",
  "lastPublishErrorCategory": "CREDENTIALS",
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}